- FileSystem
    - Application Node
        - Mount Volumes
    - Gitaly Node
        - Create `/etc/gitlab/ssl` directory
        - Create destination path for repositories owned by `git:git`
            - Note that `git` user, if it exists beforehand, will be
              modified to match the specifications in Omnibus including
              changing the default shell
        - Mount Volumes
            - `/var/opt/gitlab`
                - 60 GB ~ increase as required
                - `root:root`
                - `0755`
    - PostgreSQL Node
        - 10 GB storage
    - Redis Node
        - 500 users x 25kB storage =~ 12.5 GB storage
- Resources
    - Application Node
        - 1 Node
        - 4 CPU Cores
        - 4 GB Memory
    - PostgreSQL Node
        - 1 Node
        - 2 CPU Cores
        - 2 GB Memory
    - Gitaly Node
        - 1 Node
        - 2 CPU Cores
        - 8 GB Memory
    - Redis Node
        - 1 Node
        - 1 CPU Cores
        - 2 GB Memory
- DNS
    - `gitlab.example.com` is a resolvable address
    - `redis.example.com` is a resolvable address
    - `postgres.example.com` is a resolvable address
    - `gitaly.example.com` is a resolvable address
- SSL
    - Private Key & Public Certificate for `gitaly.example.com`
